Bug 221838 - [NEW PORT] audio/guidolib: Library for graphic rendering of music scores
Summary: [NEW PORT] audio/guidolib: Library for graphic rendering of music scores
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Yuri Victorovich
URL:
Keywords:
Depends on:
Blocks: 221865
  Show dependency treegraph
 
Reported: 2017-08-26 18:24 UTC by Yuri Victorovich
Modified: 2018-01-27 06:21 UTC (History)
0 users

See Also:


Attachments
shar (7.40 KB, text/plain)
2017-08-26 18:24 UTC, Yuri Victorovich
no flags Details
shar (7.41 KB, text/plain)
2017-08-26 18:40 UTC, Yuri Victorovich
no flags Details
shar (7.42 KB, text/plain)
2017-08-27 18:54 UTC, Yuri Victorovich
no flags Details
shar (8.01 KB, text/plain)
2017-08-27 23:43 UTC, Yuri Victorovich
no flags Details
shar (7.61 KB, text/plain)
2017-08-30 00:18 UTC, Yuri Victorovich
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Yuri Victorovich freebsd_committer 2017-08-26 18:24:54 UTC
Created attachment 185790 [details]
shar

Guidolib implements one of several ways to encode and typeset music on computer.
It produces publishing-quality sheet music from the formal definition of music in GUIDO Music Notation Format [GMN] (https://en.wikipedia.org/wiki/GUIDO_music_notation).

QAs:
* poudriedre 11.1 amd64 10.3 i386
* portlint
* runs fine
Comment 1 Yuri Victorovich freebsd_committer 2017-08-26 18:40:49 UTC
Created attachment 185791 [details]
shar
Comment 2 Yuri Victorovich freebsd_committer 2017-08-27 18:54:31 UTC
Created attachment 185823 [details]
shar

Moved to audio/ where it belongs.
Comment 3 Yuri Victorovich freebsd_committer 2017-08-27 23:43:23 UTC
Created attachment 185830 [details]
shar

Added missing GDeviceQt to do-install.
Comment 4 Yuri Victorovich freebsd_committer 2017-08-30 00:18:04 UTC
Created attachment 185902 [details]
shar
Comment 5 commit-hook freebsd_committer 2018-01-27 06:20:40 UTC
A commit references this bug:

Author: yuri
Date: Sat Jan 27 06:19:51 UTC 2018
New revision: 460075
URL: https://svnweb.freebsd.org/changeset/ports/460075

Log:
  New port: audio/guidolib: Library for graphic rendering of music scores

  Guidolib implements a new way to encode and typeset music on computer.
  The common, most ubuiquitous way is MusicXML. It is the XML schema that is hardly
  readable for humans. Guidolib takes an alternative approach, and represents
  music notation in a way very similar to a computer program. It is easily
  readable and writable by humans.

  http://guidolib.sourceforge.net/

  PR:		221838
  Approved by:	tcberner (mentor)
  Differential Revision:	D13705

Changes:
  head/audio/Makefile
  head/audio/guidolib/
  head/audio/guidolib/Makefile
  head/audio/guidolib/distinfo
  head/audio/guidolib/pkg-descr
  head/audio/guidolib/pkg-plist